/**
 ******************************************************************************
 * @file    pin_mapping.h
 * @author
 * @version
 * @date
 * @brief   Atmosphere API - GPIO Pin Mapping ESP32 Device Specific header file
 ******************************************************************************
 * @attention
 *
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *   1. Redistributions of source code must retain the above copyright notice,
 *      this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright notice,
 *      this list of conditions and the following disclaimer in the documentation
 *      and/or other materials provided with the distribution.
 *   3. Neither the name of STMicroelectronics nor the names of its contributors
 *      may be used to endorse or promote products derived from this software
 *      without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 ******************************************************************************
 */

 /* Define to prevent recursive inclusion ------------------------------------*/
#ifndef __ATMO_PIN_MAPPING_H_
#define __ATMO_PIN_MAPPING_H_


/* Includes ------------------------------------------------------------------*/

#ifdef __cplusplus
	extern "C"{
#endif

#define ATMO_ESP32_USB_UART 1
#define ATMO_ESP32_NUM_UARTS (2)
#define ESP32_UART1_TX GPIO_NUM_7
#define ESP32_UART1_RX GPIO_NUM_8

#define ESP32_UART2_TX GPIO_NUM_1
#define ESP32_UART2_RX GPIO_NUM_3

#define ESP32_I2C_SDA GPIO_NUM_2
#define ESP32_I2C_SCL GPIO_NUM_14

#define ESP32_SPI_HOST HSPI_HOST
#define ESP32_SPI_MOSI GPIO_NUM_13
#define ESP32_SPI_MISO GPIO_NUM_12
#define ESP32_SPI_CLK GPIO_NUM_14
#define ESP32_SPI_QUADWP -1
#define ESP32_SPI_QUADHD -1
		
#define IO0 0
#define IO1 1
#define IO2 2
#define IO3 3
#define IO4 4
#define IO5 5
#define IO6 6
#define IO7 7
#define IO8 8
#define IO9 9
#define IO10 10
#define IO11 11
#define IO12 12
#define IO13 13
#define IO14 14
#define IO15 15
#define IO16 16
#define IO17 17
#define IO18 18
#define IO19 19
#define IO20 20
#define IO21 21
#define IO22 22
#define IO23 23
#define IO24 24
#define IO25 25
#define IO26 26
#define IO27 27
#define IO28 28
#define IO29 29
#define IO30 30
#define IO31 31
#define IO32 32
#define IO33 33
#define IO34 34
#define IO35 35
#define IO36 36
#define IO37 37
#define IO38 38
#define IO39 39

#define ATMO_DEFAULT_I2C (0)
#define ATMO_DEFAULT_GPIO (0)

/* Exported Structures -------------------------------------------------------*/

/* Exported Function Prototypes -----------------------------------------------*/


#ifdef __cplusplus
}
#endif

#endif
